Bug 729094 - GFS2: Kernel changes necessary to allow growing completely full filesystems.
Summary: GFS2: Kernel changes necessary to allow growing completely full filesystems.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.7
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: rc
: ---
Assignee: Phillip Lougher
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 661904
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-08 17:19 UTC by Ken Reilly
Modified: 2018-11-14 11:14 UTC (History)
10 users (show)

Fixed In Version: kernel-2.6.18-238.24.1.el5
Doc Type: Bug Fix
Doc Text:
When GFS2 grew the file system, it never reread the rindex file during the grow. This is necessary for large grows when the file system is almost full, and GFS2 needs to use some of the space allocated earlier in the grow to complete it. Now, if GFS2 fails to reserve the necessary space and the rindex data is not up-to-date, it rereads it.
Clone Of:
Environment:
Last Closed: 2011-09-20 17:51:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1321 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2011-09-20 17:50:47 UTC

Comment 5 Phillip Lougher 2011-08-30 16:42:50 UTC
in kernel-2.6.18-238.24.1.el5

linux-2.6-fs-gfs2-support-for-growing-a-full-filesytem.patch

Comment 8 errata-xmlrpc 2011-09-20 17:51:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1321.html

Comment 9 Martin Prpič 2011-09-22 09:20:03 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When GFS2 grew the file system, it never reread the rindex file during the grow. This is necessary for large grows when the file system is almost full, and GFS2 needs to use some of the space allocated earlier in the grow to complete it. Now, if GFS2 fails to reserve the necessary space and the rindex data is not up-to-date, it rereads it.


Note You need to log in before you can comment on or make changes to this bug.